SqlServerDatabase (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.mssql.SqlServerDatabase interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.mssql
Interface SqlServerDatabase

All Superinterfaces:
  ConfigurationItem, Database, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SqlServerDatabase

extends Database

Represents a Microsoft SQL Server database.

Naming Rules:
  0="parent,name" 1="managedSystemName"
Persistable:
  true
Table Name:
  SQLDATABASE
Top Level:
  true
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.db.Database
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getCreationDate()`
`int` | `getDbId()`
`int` | `getDbVersion()`
`SqlServer` | `getParent()`
`java.lang.String` | `getPrimaryDataFile()`
`SqlServerTable[]` | `getTables()`
`boolean` | `hasCreationDate()`
`boolean` | `hasDbId()`
`boolean` | `hasDbVersion()`
`boolean` | `hasParent()`
`boolean` | `hasPrimaryDataFile()`
`boolean` | `hasTables()`
`void` | `setCreationDate(java.lang.String date)`
`void` | `setDbId(int dbid)`
`void` | `setDbVersion(int version)`
`void` | `setParent(SqlServer parent)`
`void` | `setPrimaryDataFile(java.lang.String filename)`
`void` | `setTables(SqlServerTable[] tables)`

Methods inherited from interface com.collation.platform.model.topology.app.db.Database
`getName, hasName, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getParent

    SqlServer getParent()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(SqlServer parent)

### hasParent

    boolean hasParent()

### getDbId

    int getDbId()
                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDbId

    void setDbId(int dbid)

### hasDbId

    boolean hasDbId()

### getDbVersion

    int getDbVersion()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDbVersion

    void setDbVersion(int version)

### hasDbVersion

    boolean hasDbVersion()

### getCreationDate

    java.lang.String getCreationDate()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCreationDate

    void setCreationDate(java.lang.String date)

### hasCreationDate

    boolean hasCreationDate()

### getPrimaryDataFile

    java.lang.String getPrimaryDataFile()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPrimaryDataFile

    void setPrimaryDataFile(java.lang.String filename)

### hasPrimaryDataFile

    boolean hasPrimaryDataFile()

### getTables

    SqlServerTable[] getTables()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setTables

    void setTables(SqlServerTable[] tables)

### hasTables

    boolean hasTables()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD